import boto3

# getting the dynamodb resource
dynamodb = boto3.resource('dynamodb')

table_name = 'songs'
# resource representing a dynamodb table
table = dynamodb.Table(table_name)


def get_all_items():
    # scan()
    # Returns one or more items and item attributes by accessing every item in a table or a secondary index.
    # To have dynamodb return fewer items, you can provide a FilterExpression operation.
    response = table.scan()
    items = response['Items']

    print("Printing the data from the table.")

    for item in items:
        print(item)
        print('\n')


get_all_items()
