import boto3

# getting the dynamodb resource
dynamodb = boto3.resource('dynamodb')

table_name = 'songs'
# resource representing a dynamodb table
table = dynamodb.Table(table_name)

songId = '5'


def get_item():
    print('Fetching item id = {} from the dB\n'.format(songId))

    # get_item(...)
    # get a single item from the table.
    response = table.get_item(
        Key={
            'song_id': songId
        }
    )

    if 'Item' in response:
        print(response['Item'])
    else:
        print('Item id = {} not found in the dB'.format(songId))


get_item()
